package br.com.rar;
import java.io.InputStream;

import org.infinispan.Cache;
import org.infinispan.manager.CacheManager;
import org.infinispan.manager.DefaultCacheManager;

import br.com.rar.ispn.sample.TestEntity;

public class Main {
	public static void main(String[] args) throws Exception {
		InputStream is = Main.class.getResourceAsStream("/ispn.xml");
		CacheManager mgr = new DefaultCacheManager(is);
		Cache c = mgr.getCache("persistentCache");
//		for (int i=0;i<1000;i++) {
//		c.put("A"+i, "B"+i);
//		}
		System.out.println(c.get(1l));
		System.out.println(c.get(3l));
		TestEntity te = (TestEntity) c.get(4l);
		if (te == null)
			te = new TestEntity();
		te.setAValue("zzz");
		te.setOtherValue(1);
		c.put(4l, te);
//		c.clear(); not working since TX mgmt is not configured
		c.stop();

		mgr.stop();
	}
}
